summaryrefslogtreecommitdiff
path: root/tests/rmdir/ignore
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rmdir/ignore')
-rwxr-xr-xtests/rmdir/ignore10
1 files changed, 5 insertions, 5 deletions
diff --git a/tests/rmdir/ignore b/tests/rmdir/ignore
index 6ad89577c..bb3f62f2e 100755
--- a/tests/rmdir/ignore
+++ b/tests/rmdir/ignore
@@ -24,14 +24,14 @@ fi
. $srcdir/../test-lib.sh
cwd=`pwd`
-mkdir -p $cwd/a/b/c $cwd/a/x || framework_failure
+mkdir -p "$cwd/a/b/c" "$cwd/a/x" || framework_failure
fail=0
-rmdir -p --ignore-fail-on-non-empty $cwd/a/b/c || fail=1
+rmdir -p --ignore-fail-on-non-empty "$cwd/a/b/c" || fail=1
# $cwd/a/x should remain
-test -d $cwd/a/x || fail=1
+test -d "$cwd/a/x" || fail=1
# $cwd/a/b and $cwd/a/b/c should be gone
-test -d $cwd/a/b && fail=1
-test -d $cwd/a/b/c && fail=1
+test -d "$cwd/a/b" && fail=1
+test -d "$cwd/a/b/c" && fail=1
exit $fail